project-navigation
Personal tools

Author Topic: 64 bit problems  (Read 4048 times)

canahari

  • Guest
64 bit problems
« on: December 24, 2008, 10:49:37 pm »
Hi!

I have had some problems installing&running the latest stable (2.2.1 ufoai-2.2.1-linux.run) on my OpenSUSE 11.1 64-bit system. I know we shouldn't post bugs about stable releases, yet maybe it will be helpful to other 64-bit users:) 

I had installed the game using the binary installer (.run). I was a little careless and on the install screen I had left the "install 32-bit binaries" ticked. After that, the program didn't work and I was getting messages like:

canahari@bagoly:~> ufoai
./ufo: error while loading shared libraries: libcurl-gnutls.so.4: cannot open shared object file: No such file or directory
And after making a workaround:
canahari@bagoly:~> ufoai
./ufo: error while loading shared libraries: libSDL_ttf-2.0.so.0: cannot open shared object file: No such file or directory

I had got a shared library of this name, in /usr/lib64. Seemingly the program that was supposed to be 64bit, didn't search for its libraries in /usr/lib64, but in /usr/lib. Remembering my choice of letting the 32-bit binaries ticked, I decided to uninstall the whole thing and install it again without them. After that I got this:

canahari@bagoly:~> ufoai
/usr/local/bin/ufoai: line 124: ./ufo: No such file or directory

And really, there was no binary called ufo in the game directory. I had to create a symlink to ufo.x86_64, which worked.


Sorry to mention that the uninstall too wasn't without problem. I found an uninstall script in the ufo directory, but it said:

bagoly:/usr/local/games/ufoai # ./uninstall
Could not find a usable uninstall program. Aborting.

I had to install loki-uninstaller package (fortunately one of the OpenSUSE repositories has this), and then call it manually
(loki-uninstall ufoai). Maybe including it to the installer would be a good idea.


Hope it helps :)
c.

Offline DuKe2112

  • Squad Leader
  • ****
  • Posts: 102
    • View Profile
Re: 64 bit problems
« Reply #1 on: December 25, 2008, 02:18:05 am »
Hmm, i generally don't realy trust such scripts.
Packaging seems to work much smother in a lot of cases.
« Last Edit: December 25, 2008, 02:24:01 am by DuKe2112 »

Offline SparcMan

  • Cannon Fodder
  • **
  • Posts: 2
    • View Profile
Re: 64 bit problems
« Reply #2 on: January 06, 2010, 07:58:36 am »
I just registered to thank you for this tip. I am running Ubuntu 9.04 kernel 2.6.28-17 x64 and I had to make the sym link "ufo" in the /usr/local/games/ufoai/ directory to the ufo.x86_64 binary as well. Once I did that, the game ran just fine. I haven't tried to uninstall the game though.